import z from 'zod';
import { LoyaltyCollectTypeSchema } from './loyalty-collect-type.schema';

export const OrderLoyaltyCollectSchema = z.object({
  orderId: z.number(),
  orderItemId: z.number(),
  orderItemSubsetId: z.number(),
  collectType: LoyaltyCollectTypeSchema,
  quantity: z.number().int().nonnegative(),
});

export type OrderLoyaltyCollectInput = z.infer<
  typeof OrderLoyaltyCollectSchema
>;
